]> git.sur5r.net Git - bacula/rescue/commitdiff
Updates
authorKern Sibbald <kern@sibbald.com>
Thu, 22 Dec 2005 11:30:19 +0000 (11:30 +0000)
committerKern Sibbald <kern@sibbald.com>
Thu, 22 Dec 2005 11:30:19 +0000 (11:30 +0000)
rescue/Makefile.in
rescue/autoconf/configure.in
rescue/configure
rescue/linux/cdrom/Makefile.in
rescue/linux/cdrom/cdtree/boot/isolinux/isolinux.bin
rescue/linux/cdrom/makebinaries
rescue/linux/cdrom/makekernel
rescue/linux/cdrom/rootsbin.list
rescue/version.h

index 6522764fc1f7c91bf6874640f6c2c13e77eb2812..fff0520e0962f1f189b4702f92e2f6055ebb1be2 100755 (executable)
@@ -20,6 +20,7 @@ MKDIR = $(topdir)/autoconf/mkinstalldirs
 #-------------------------------------------------------------------------
 
 all: Makefile
 #-------------------------------------------------------------------------
 
 all: Makefile
+       (cd linux/cdrom; make all)
 
 
 depend:
 
 
 depend:
index f0a3d0dbebc08da810023fa18aeb6e5a3dfdf4a2..41e9e20744ccdf429c6879b4dd12f0a5e0d4c698 100644 (file)
@@ -90,27 +90,13 @@ dnl# --------------------------------------------------------------------------
 dnl# CHECKING COMMAND LINE OPTIONS
 dnl# --------------------------------------------------------------------------
 
 dnl# CHECKING COMMAND LINE OPTIONS
 dnl# --------------------------------------------------------------------------
 
-# -------------------------------------------
-# static-fd    (default off)
-# -------------------------------------------
-AC_ARG_ENABLE(static-fd,
-   [  --enable-static-fd      enable static File daemon [disabled]],
-   [if test x$enableval = xyes; then
-     support_static_fd=yes
-   fi])
-
-STATIC_FD=
-if test x$support_static_fd = xyes; then
-   STATIC_FD="static-bacula-fd"
-fi
-AC_SUBST(STATIC_FD)
 
 where=
 # ------------------------------------------
 # Where to get iso
 # ------------------------------------------
 AC_ARG_WITH(iso,
 
 where=
 # ------------------------------------------
 # Where to get iso
 # ------------------------------------------
 AC_ARG_WITH(iso,
-   [  --with-iso=PATH   specify path to iso],
+   [  --with-iso=PATH   specify path to iso (not implemented)],
    [
        if test "x$withval" != "xno" ; then     
           where=$withval
    [
        if test "x$withval" != "xno" ; then     
           where=$withval
@@ -136,6 +122,21 @@ AC_ARG_WITH(cdrom,
 AC_SUBST(where)
 AC_SUBST(type)
 
 AC_SUBST(where)
 AC_SUBST(type)
 
+
+# ------------------------------------------
+# Which kernel to take
+# ------------------------------------------
+AC_ARG_WITH(kernel,
+   [  --with-kernel=version  specify complete kernel version (e.g. 2.6.14-2) ],
+   [
+       if test "x$withval" != "xno" ; then     
+         KERNEL=$withval
+       fi
+   ]
+)
+AC_SUBST(KERNEL)
+
+
 # ------------------------------------------
 # Where to get Bacula source
 # ------------------------------------------
 # ------------------------------------------
 # Where to get Bacula source
 # ------------------------------------------
@@ -147,13 +148,25 @@ AC_ARG_WITH(bacula,
        fi
    ]
 )
        fi
    ]
 )
-
-if test x${bacula} = x; then
-   AC_MSG_ERROR(Missing --with-bacula=PATH)
-fi
-
 AC_SUBST(bacula)
 
 AC_SUBST(bacula)
 
+STATIC_FD=
+# ------------------------------------------
+# Where to get static-bacula-fd
+# ------------------------------------------
+AC_ARG_WITH(static-fd,
+   [  --with-static-fd=PATH    specify path to static FD],
+   [
+       if test "x$withval" != "xno" ; then     
+         STATIC_FD=$withval
+       fi
+   ]
+)
+AC_SUBST(STATIC_FD)
+
+if test x${bacula} = x -a x${STATIC_FD} = x ; then
+   AC_MSG_ERROR(You must specify either --with-bacula=PATH or --with-static-fd=PATH)
+fi
 
 #
 # Finally we set appropriate distribution specific
 
 #
 # Finally we set appropriate distribution specific
@@ -274,9 +287,8 @@ Configuration on `date`:
   Host:                      $host -- ${DISTNAME} ${DISTVER}
   Rescue version:            ${VERSION} (${DATE})
   Source code location:       ${bacula}
   Host:                      $host -- ${DISTNAME} ${DISTVER}
   Rescue version:            ${VERSION} (${DATE})
   Source code location:       ${bacula}
-  Rescue disk image type:     ${type}
-  Rescue disk image location: ${where}
-
+  Static FD location:        ${STATIC_FD}
+  Specific kernel version:    ${KERNEL}
 
   " > config.out
 
 
   " > config.out
 
index d091256f43ee9a07c890dab458f5168d20e5638f..7f7c85ff74d688cfb7ffc1414eeeb417630e1924 100755 (executable)
@@ -272,7 +272,7 @@ PACKAGE_STRING=
 PACKAGE_BUGREPORT=
 
 ac_unique_file="version.h"
 PACKAGE_BUGREPORT=
 
 ac_unique_file="version.h"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS BUILD_DIR TRUEPRG FALSEPRG AWK VERSION DATE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA MV RM CP ECHO AR CDRECORD build build_cpu build_vendor build_os host host_cpu host_vendor host_os HAVE_SUN_OS_TRUE HAVE_SUN_OS_FALSE HAVE_OSF1_OS_TRUE HAVE_OSF1_OS_FALSE HAVE_AIX_OS_TRUE HAVE_AIX_OS_FALSE HAVE_HPUX_OS_TRUE HAVE_HPUX_OS_FALSE HAVE_LINUX_OS_TRUE HAVE_LINUX_OS_FALSE HAVE_FREEBSD_OS_TRUE HAVE_FREEBSD_OS_FALSE HAVE_NETBSD_OS_TRUE HAVE_NETBSD_OS_FALSE HAVE_OPENBSD_OS_TRUE HAVE_OPENBSD_OS_FALSE HAVE_BSDI_OS_TRUE HAVE_BSDI_OS_FALSE HAVE_SGI_OS_TRUE HAVE_SGI_OS_FALSE HAVE_IRIX_OS_TRUE HAVE_IRIX_OS_FALSE HAVE_DARWIN_OS_TRUE HAVE_DARWIN_OS_FALSE CDSTL STATIC_FD iso where type bacula hostname DISTNAME DISTVER LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS BUILD_DIR TRUEPRG FALSEPRG AWK VERSION DATE INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA MV RM CP ECHO AR CDRECORD build build_cpu build_vendor build_os host host_cpu host_vendor host_os HAVE_SUN_OS_TRUE HAVE_SUN_OS_FALSE HAVE_OSF1_OS_TRUE HAVE_OSF1_OS_FALSE HAVE_AIX_OS_TRUE HAVE_AIX_OS_FALSE HAVE_HPUX_OS_TRUE HAVE_HPUX_OS_FALSE HAVE_LINUX_OS_TRUE HAVE_LINUX_OS_FALSE HAVE_FREEBSD_OS_TRUE HAVE_FREEBSD_OS_FALSE HAVE_NETBSD_OS_TRUE HAVE_NETBSD_OS_FALSE HAVE_OPENBSD_OS_TRUE HAVE_OPENBSD_OS_FALSE HAVE_BSDI_OS_TRUE HAVE_BSDI_OS_FALSE HAVE_SGI_OS_TRUE HAVE_SGI_OS_FALSE HAVE_IRIX_OS_TRUE HAVE_IRIX_OS_FALSE HAVE_DARWIN_OS_TRUE HAVE_DARWIN_OS_FALSE CDSTL iso where type KERNEL bacula STATIC_FD hostname DISTNAME DISTVER LIBOBJS LTLIBOBJS'
 ac_subst_files='MCOMMON'
 
 # Initialize some variables set by options.
 ac_subst_files='MCOMMON'
 
 # Initialize some variables set by options.
@@ -784,17 +784,14 @@ if test -n "$ac_init_help"; then
 
   cat <<\_ACEOF
 
 
   cat <<\_ACEOF
 
-Optional Features:
-  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
-  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
-  --enable-static-fd      enable static File daemon disabled
-
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
-  --with-iso=PATH       specify path to iso
+  --with-iso=PATH       specify path to iso (not implemented)
   --with-cdrom=PATH    specify path to cdrom
   --with-cdrom=PATH    specify path to cdrom
+  --with-kernel=version  specify complete kernel version (e.g. 2.6.14-2)
   --with-bacula=PATH    specify path to Bacula source
   --with-bacula=PATH    specify path to Bacula source
+  --with-static-fd=PATH    specify path to static FD
 
 _ACEOF
 fi
 
 _ACEOF
 fi
@@ -2267,22 +2264,6 @@ fi
 
 
 
 
 
 
-# -------------------------------------------
-# static-fd    (default off)
-# -------------------------------------------
-# Check whether --enable-static-fd or --disable-static-fd was given.
-if test "${enable_static_fd+set}" = set; then
-  enableval="$enable_static_fd"
-  if test x$enableval = xyes; then
-     support_static_fd=yes
-   fi
-fi;
-
-STATIC_FD=
-if test x$support_static_fd = xyes; then
-   STATIC_FD="static-bacula-fd"
-fi
-
 
 where=
 # ------------------------------------------
 
 where=
 # ------------------------------------------
@@ -2321,6 +2302,24 @@ fi;
 
 
 
 
 
 
+
+# ------------------------------------------
+# Which kernel to take
+# ------------------------------------------
+
+# Check whether --with-kernel or --without-kernel was given.
+if test "${with_kernel+set}" = set; then
+  withval="$with_kernel"
+
+       if test "x$withval" != "xno" ; then
+         KERNEL=$withval
+       fi
+
+
+fi;
+
+
+
 # ------------------------------------------
 # Where to get Bacula source
 # ------------------------------------------
 # ------------------------------------------
 # Where to get Bacula source
 # ------------------------------------------
@@ -2336,15 +2335,30 @@ if test "${with_bacula+set}" = set; then
 
 fi;
 
 
 fi;
 
-if test x${bacula} = x; then
-   { { echo "$as_me:$LINENO: error: Missing --with-bacula=PATH" >&5
-echo "$as_me: error: Missing --with-bacula=PATH" >&2;}
-   { (exit 1); exit 1; }; }
-fi
 
 
+STATIC_FD=
+# ------------------------------------------
+# Where to get static-bacula-fd
+# ------------------------------------------
+
+# Check whether --with-static-fd or --without-static-fd was given.
+if test "${with_static_fd+set}" = set; then
+  withval="$with_static_fd"
 
 
+       if test "x$withval" != "xno" ; then
+         STATIC_FD=$withval
+       fi
 
 
 
 
+fi;
+
+
+if test x${bacula} = x -a x${STATIC_FD} = x ; then
+   { { echo "$as_me:$LINENO: error: You must specify either --with-bacula=PATH or --with-static-fd=PATH" >&5
+echo "$as_me: error: You must specify either --with-bacula=PATH or --with-static-fd=PATH" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
 #
 # Finally we set appropriate distribution specific
 #  variables and defaults
 #
 # Finally we set appropriate distribution specific
 #  variables and defaults
@@ -3141,11 +3155,12 @@ s,@HAVE_IRIX_OS_FALSE@,$HAVE_IRIX_OS_FALSE,;t t
 s,@HAVE_DARWIN_OS_TRUE@,$HAVE_DARWIN_OS_TRUE,;t t
 s,@HAVE_DARWIN_OS_FALSE@,$HAVE_DARWIN_OS_FALSE,;t t
 s,@CDSTL@,$CDSTL,;t t
 s,@HAVE_DARWIN_OS_TRUE@,$HAVE_DARWIN_OS_TRUE,;t t
 s,@HAVE_DARWIN_OS_FALSE@,$HAVE_DARWIN_OS_FALSE,;t t
 s,@CDSTL@,$CDSTL,;t t
-s,@STATIC_FD@,$STATIC_FD,;t t
 s,@iso@,$iso,;t t
 s,@where@,$where,;t t
 s,@type@,$type,;t t
 s,@iso@,$iso,;t t
 s,@where@,$where,;t t
 s,@type@,$type,;t t
+s,@KERNEL@,$KERNEL,;t t
 s,@bacula@,$bacula,;t t
 s,@bacula@,$bacula,;t t
+s,@STATIC_FD@,$STATIC_FD,;t t
 s,@hostname@,$hostname,;t t
 s,@DISTNAME@,$DISTNAME,;t t
 s,@DISTVER@,$DISTVER,;t t
 s,@hostname@,$hostname,;t t
 s,@DISTNAME@,$DISTNAME,;t t
 s,@DISTVER@,$DISTVER,;t t
@@ -3548,9 +3563,8 @@ Configuration on `date`:
   Host:                      $host -- ${DISTNAME} ${DISTVER}
   Rescue version:            ${VERSION} (${DATE})
   Source code location:       ${bacula}
   Host:                      $host -- ${DISTNAME} ${DISTVER}
   Rescue version:            ${VERSION} (${DATE})
   Source code location:       ${bacula}
-  Rescue disk image type:     ${type}
-  Rescue disk image location: ${where}
-
+  Static FD location:        ${STATIC_FD}
+  Specific kernel version:    ${KERNEL}
 
   " > config.out
 
 
   " > config.out
 
index f8914f2fba17d89ce297dda7c2c43f8349a27394..8ec5a1b630dfcd188045a0529cf56844bb0b7e2a 100644 (file)
@@ -38,7 +38,7 @@ initrd:
        ./makeinitrd
 
 kernel:
        ./makeinitrd
 
 kernel:
-       ./makekernel
+       ./makekernel @KERNEL@
 
 binaries:
        ./makebinaries
 
 binaries:
        ./makebinaries
index 11c3f5611cf14891316e6714f800130b07c923a7..7b20754dbfcebea73f6f6597488267548a0e6ad8 100644 (file)
Binary files a/rescue/linux/cdrom/cdtree/boot/isolinux/isolinux.bin and b/rescue/linux/cdrom/cdtree/boot/isolinux/isolinux.bin differ
index a114dd3a97494f5b2620b9b739c777a712783e8a..97b6c0639d0eaa518e2e119706be0b70ffae44d7 100755 (executable)
@@ -48,7 +48,7 @@ for file in `cat ${TMPFILE}` ; do
     command=`basename $file`
     fullfile=`which $command 2> /dev/null`
     if [ x$fullfile != x ] ; then
     command=`basename $file`
     fullfile=`which $command 2> /dev/null`
     if [ x$fullfile != x ] ; then
-        echo "updating $command in roottree with $fullfile"
+#       echo "updating $command in roottree with $fullfile"
         cp -fpd $fullfile $file
         if [ $? != 0 ] ; then
            echo "Update failed."
         cp -fpd $fullfile $file
         if [ $? != 0 ] ; then
            echo "Update failed."
@@ -64,6 +64,8 @@ rm -f ${TMPFILE}
 
 cd roottree/sbin
 ln -sf halt reboot
 
 cd roottree/sbin
 ln -sf halt reboot
+# Eliminate recursive link
+rm -f sbin
 cd $TOPDIR
 
 # Copy all needed shared libraries
 cd $TOPDIR
 
 # Copy all needed shared libraries
index eb8d76b7eacb360a45b3075d4082ca134914740b..9e3600fe3e54dd88ed31f4a3c06949e692817c45 100755 (executable)
@@ -5,8 +5,10 @@
 #
 
 TOPDIR=`pwd`
 #
 
 TOPDIR=`pwd`
-KERNEL="2.6.14-1.1653_FC4"
-#KERNEL=`uname -r` 
+KERNEL=$1
+if test x${KERNEL} = x ; then
+   KERNEL=`uname -r` 
+fi
 
 rm -rf roottree/dev
 tar xfz dev.tar.gz -C roottree
 
 rm -rf roottree/dev
 tar xfz dev.tar.gz -C roottree
index 93df9fcac16c4b4d0a6590835a76945e53334ea7..f788b75483dc8ee7edf029eaa8677ece738edc4e 100644 (file)
@@ -53,10 +53,10 @@ roottree/sbin/gdb
 roottree/sbin/getkey
 roottree/sbin/grep
 roottree/sbin/grub
 roottree/sbin/getkey
 roottree/sbin/grep
 roottree/sbin/grub
-roottree/sbin/gubby
+roottree/sbin/grubby
 roottree/sbin/grub-install
 roottree/sbin/grub-md5-crypt
 roottree/sbin/grub-install
 roottree/sbin/grub-md5-crypt
-roottree/sbin/grub-grub-terminfo
+roottree/sbin/grub-terminfo
 roottree/sbin/gunzip
 roottree/sbin/gzip
 roottree/sbin/halt
 roottree/sbin/gunzip
 roottree/sbin/gzip
 roottree/sbin/halt
index 64e52431347d1ae9fcf01d1a9b00a61525007f32..2a8f5423655027da3310723a7c254c58ac326166 100644 (file)
@@ -1,5 +1,5 @@
 /* */
 #undef  VERSION
 #define VERSION "1.8.2"
 /* */
 #undef  VERSION
 #define VERSION "1.8.2"
-#define BDATE   "21 December 2005"
-#define LSMDATE "21Dec05"
+#define BDATE   "22 December 2005"
+#define LSMDATE "22Dec05"